using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace RB_MES_API.Models.Pangu
{
    public class WPLAN_MN_CHANGE
    {
        /// <summary>
        /// 唯一序号
        /// </summary>
        public string QUEUE_ID { get; set; } = string.Empty;
        /// <summary>
        /// ERP工单编码
        /// </summary>
        [DisplayName("ERP工单编码")]
        public string WPLAN_MO { get; set; } = string.Empty;
        /// <summary>
        /// ERP工单行号
        /// </summary>
        [DisplayName("ERP工单行号")]
        public string WPLAN_MO_LINE { get; set; } = string.Empty;
        /// <summary>
        /// 工单物料需求单号
        /// </summary>
        [DisplayName("工单物料需求单号")]
        public string ERP_ID { get; set; } = string.Empty;
        [DisplayName("是否主料")]
        public string IS_MAIN { get; set; } = string.Empty;
        /// <summary>
        /// 主料编码
        /// </summary>
        [DisplayName("主料编码")]
        public string MAIN_ID { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        [DisplayName("物料编码")]
        public string MTRL_ID { get; set; } = string.Empty;
        /// <summary>
        /// 标准用量
        /// </summary>
        [DisplayName("标准用量")]
        public decimal DOSAGE { get; set; }
        /// <summary>
        /// 计划数量(工单生产数量)
        /// </summary>
        [DisplayName("计划数量")]
        public decimal P_QTY { get; set; }
        /// <summary>
        /// 实际需求数量
        /// </summary>
        [DisplayName("实际需求数量")]
        public decimal TN_QTY { get; set; }
        /// <summary>
        /// 点位信息
        /// </summary>
        [DisplayName("点位信息")]
        public string POINT_STR { get; set; } = string.Empty;       //多个用豆号分隔
        /// <summary>
        /// 是否返还件
        /// </summary>
        [DisplayName("是否返还件(Y/N)")]
        public string IS_BACK { get; set; }
        /// <summary>
        /// 变更类型
        /// </summary>
        [DisplayName("变更类型")]
        public string ChangeType { get; set; }
        /// <summary>
        /// 需求日期
        /// </summary>
        [DisplayName("需求日期")]
        [DataType(DataType.Date)]
        public string N_DATE { get; set; }

        public string MTRL_VER { get; set; } = string.Empty;
        /// <summary>
        /// JSON顺序号
        /// </summary>
        public decimal SEQ { get; set; } 
    }
}
